
<template>
	<view class="content">
		<button type="default" @click="login">登录</button>
	</view>
</template>

<script>
	import { auth } from '@/apis/interfaces/auth'
	export default {
		data() {
			return {
				
			}
		},
		onLoad() {

		},
		methods: {
			login(){
				uni.login({
					provider: 'univerify',
					univerifyStyle: { 
						fullScreen: true,
						authButton: {
							normalColor	: "#c82626",
							borderRadius: 0
						},
						buttons: {
							list: [{
								provider : "微信",
								iconPath : "/static/icons/wechat.png"
							}]
						},
						otherLoginButton: {
							borderColor	: "#c82626",
							title		: "其他手机号码登录",
							borderRadius: 0,
							textColor	: "#c82626"
						},
						privacyTerm: {
							privacyItems: [{
								url		: "https://baidu.com",
								title	: "用户服务协议"
							}]
						}
					},
					success	: result => {
						auth({
							access_token: result.authResult.access_token,
							openid		: result.authResult.openid
						}).then(res => {
							console.log(res)
						})
					},
					fail	: err => {
						uni.showToast({
							title: err.errMsg
						})
						console.log(err)
					}
				})
			}
		}
	}
</script>

<style>
	
</style>
